Debian Bug report logs - #577330
openchange: FTBFS: configure: error: Z library not found, please install zlib-devel.

version graph

Package: src:openchange; Maintainer for src:openchange is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 11 Apr 2010 08:29:18 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version openchange/1:0.8.2+svn1524-1

Fixed in version openchange/1:0.9+svn1970-1

Done: Jelmer Vernooij <jelmer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#577330; Package src:openchange. (Sun, 11 Apr 2010 08:29:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Sun, 11 Apr 2010 08:29:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: openchange: FTBFS: configure: error: Z library not found, please install zlib-devel.
Date: Sun, 11 Apr 2010 10:14:36 +0200
Source: openchange
Version: 1:0.8.2+svn1524-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100410 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules clean
> dh_testdir
> dh_testroot
> dh_clean
> rm -f debian/tmp
> [ ! -f config.mk ] || /usr/bin/make distclean
> rm -f build-stamp configure-stamp
>  dpkg-source -b openchange-0.8.2+svn1524
> dpkg-source: info: using source format `1.0'
> dpkg-source: info: building openchange using existing openchange_0.8.2+svn1524.orig.tar.gz
> dpkg-source: info: building openchange in openchange_0.8.2+svn1524-1.diff.gz
> dpkg-source: warning: the diff modifies the following upstream files: 
>  aclocal.m4
>  config.h.in
>  configure
> dpkg-source: info: use the '3.0 (quilt)' format to have separate and documented changes to upstream files, see dpkg-source(1)
> dpkg-source: info: building openchange in openchange_0.8.2+svn1524-1.dsc
>  debian/rules build
> dh_testdir
> chmod a+x ./configure
> BOOST_LIB_SUFFIX=-mt ./configure \
> 		--prefix=/usr \
> 		--mandir=/usr/share/man \
> 		--with-modulesdir=/usr/lib/openchange \
> 		--disable-pymapi
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... no
> checking for mawk... mawk
> checking whether make sets $(MAKE)... yes
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.20... yes
> checking build system type... x86_64-unknown-linux-gnu
> checking host system type... x86_64-unknown-linux-gnu
> checking for samba 4... /usr
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... none
> checking for comparison_fn_t... yes
> checking for gcc... (cached) gcc
> checking whether we are using the GNU C compiler... (cached) yes
> checking whether gcc accepts -g... (cached) yes
> checking for gcc option to accept ISO C89... (cached) none needed
> checking dependency style of gcc... (cached) none
> checking whether we are really using the Intel C compiler... no
> checking for perl... /usr/bin/perl
> checking for pidl... /usr/bin/pidl
> checking for python... /usr/bin/python
> checking for python-config... /usr/bin/python-config
> checking python library directory... ${prefix}/lib/python2.5/site-packages
> checking for flex... flex
> checking for TALLOC... yes
> checking for SAMBA... yes
> checking for TDB... yes
> checking for LDB... yes
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking samba/version.h usability... yes
> checking samba/version.h presence... yes
> checking for samba/version.h... yes
> configure: WARNING: The Samba4 version installed on your system doesn't meet OpenChange requirements (4.0.0alpha8 or 4.0.0alpha8-GIT-4ceae35).
> checking for g++... g++
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
> checking dependency style of g++... none
> checking C++ compiler availability... yes
> checking for boost_thread-mt library... yes
> checking whether we are using the GNU C++ compiler... (cached) yes
> checking whether g++ accepts -g... (cached) yes
> checking dependency style of g++... (cached) none
> checking for bison... /usr/bin/bison
> checking for SAMR... yes
> checking for ICAL... yes
> checking for poptFreeContext in -lpopt... yes
> checking for magic_open in -lmagic... yes
> configure: error: Z library not found, please install zlib-devel.
> checking for gzopen in -lz... no
> make: *** [configure-stamp] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/04/10/openchange_1:0.8.2+svn1524-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) pending. Request was from jelmer@alioth.debian.org to control@bugs.debian.org. (Sun, 11 Apr 2010 12:06:13 GMT) Full text and rfc822 format available.

Reply sent to Jelmer Vernooij <jelmer@debian.org>:
You have taken responsibility. (Sun, 20 Jun 2010 12:09:24 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 20 Jun 2010 12:09:24 GMT) Full text and rfc822 format available.

Message #12 received at 577330-close@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: 577330-close@bugs.debian.org
Subject: Bug#577330: fixed in openchange 1:0.9+svn1970-1
Date: Sun, 20 Jun 2010 12:06:05 +0000
Source: openchange
Source-Version: 1:0.9+svn1970-1

We believe that the bug you reported is fixed in the latest version of
openchange, which is due to be installed in the Debian FTP archive:

libmapi-dev_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapi-dev_0.9+svn1970-1_amd64.deb
libmapi0_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapi0_0.9+svn1970-1_amd64.deb
libmapiadmin-dev_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapiadmin-dev_0.9+svn1970-1_amd64.deb
libmapiadmin0_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapiadmin0_0.9+svn1970-1_amd64.deb
libmapipp-dev_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapipp-dev_0.9+svn1970-1_amd64.deb
libmapipp0_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapipp0_0.9+svn1970-1_amd64.deb
libmapiproxy-dev_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapiproxy-dev_0.9+svn1970-1_amd64.deb
libmapiproxy0_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapiproxy0_0.9+svn1970-1_amd64.deb
libmapistore-dev_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapistore-dev_0.9+svn1970-1_amd64.deb
libmapistore0_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libmapistore0_0.9+svn1970-1_amd64.deb
libocpf-dev_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libocpf-dev_0.9+svn1970-1_amd64.deb
libocpf0_0.9+svn1970-1_amd64.deb
  to main/o/openchange/libocpf0_0.9+svn1970-1_amd64.deb
openchange_0.9+svn1970-1.debian.tar.gz
  to main/o/openchange/openchange_0.9+svn1970-1.debian.tar.gz
openchange_0.9+svn1970-1.dsc
  to main/o/openchange/openchange_0.9+svn1970-1.dsc
openchange_0.9+svn1970.orig.tar.gz
  to main/o/openchange/openchange_0.9+svn1970.orig.tar.gz
openchangeclient_0.9+svn1970-1_amd64.deb
  to main/o/openchange/openchangeclient_0.9+svn1970-1_amd64.deb
openchangeproxy_0.9+svn1970-1_amd64.deb
  to main/o/openchange/openchangeproxy_0.9+svn1970-1_amd64.deb
openchangeserver-dev_0.9+svn1970-1_amd64.deb
  to main/o/openchange/openchangeserver-dev_0.9+svn1970-1_amd64.deb
openchangeserver_0.9+svn1970-1_amd64.deb
  to main/o/openchange/openchangeserver_0.9+svn1970-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 577330@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jelmer Vernooij <jelmer@debian.org> (supplier of updated openchange package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Jun 2010 00:14:54 +0200
Source: openchange
Binary: libmapi0 libmapi-dev libmapipp-dev libmapipp0 libocpf0 libocpf-dev openchangeclient openchangeserver openchangeserver-dev openchangeproxy libmapiadmin0 libmapiadmin-dev libmapiproxy0 libmapiproxy-dev libmapistore0 libmapistore-dev
Architecture: source amd64
Version: 1:0.9+svn1970-1
Distribution: experimental
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Jelmer Vernooij <jelmer@debian.org>
Description: 
 libmapi-dev - Development files for the MAPI client library
 libmapi0   - Client library for the MAPI protocol
 libmapiadmin-dev - Development files for the MAPI administration client library
 libmapiadmin0 - Administration client library for the MAPI (Exchange/Outlook) pro
 libmapipp-dev - Development files for the C++ MAPI client library
 libmapipp0 - Library files for the C++ MAPI client library
 libmapiproxy-dev - Development files for the MAPI proxy library
 libmapiproxy0 - Proxy library for the MAPI (Exchange/Outlook) protocol
 libmapistore-dev - Storage library for MAPI objects - development files
 libmapistore0 - Storage library for MAPI objects
 libocpf-dev - Development files for the OCPF library
 libocpf0   - Scripting library for the MAPI protocol
 openchangeclient - Command-line client for the MAPI (Exchange/Outlook) protocol
 openchangeproxy - Experimental MAPI (Exchange/Outlook) proxy
 openchangeserver - Experimental MAPI (Exchange/Outlook) server
 openchangeserver-dev - Experimental MAPI (Exchange/Outlook) server - development files
Closes: 549012 577330
Changes: 
 openchange (1:0.9+svn1970-1) experimental; urgency=low
 .
   [ Mathieu Parent ]
   * Add Vcs-Browser
   * libmapi-dev depends on libndr-standard-dev.
     Fix "Missing dependency on samba4-dev" (Closes: #549012)
 .
   [ Jelmer Vernooij ]
   * Use source format version 3.
   * Bump standards version to 3.8.4.
   * New upstream snapshot.
   * Add build dependency on zlib1g-dev. Closes: #577330
   * Migrate packaging to Bazaar.
Checksums-Sha1: 
 b8a06ca44e197333707e7e35fc7ad63bf474ff37 1912 openchange_0.9+svn1970-1.dsc
 8285da2f1f734f96462d27c0ee9c3353ca9557ee 1510574 openchange_0.9+svn1970.orig.tar.gz
 412bd16e741963b459c65432c0abcc79268358fc 24114 openchange_0.9+svn1970-1.debian.tar.gz
 956bc2780490ef102b786dcbf4405a6539ad2911 450120 libmapi0_0.9+svn1970-1_amd64.deb
 869c8d94941e5e43760f2ee5cbb9fea54c981bb9 163512 libmapi-dev_0.9+svn1970-1_amd64.deb
 8f79525fcf39ce2f7c0da65ef352079c62dfc71e 11732 libmapipp-dev_0.9+svn1970-1_amd64.deb
 2988a72d1b156f66ead5070d46428e82739c2fef 28324 libmapipp0_0.9+svn1970-1_amd64.deb
 5adb6eb38ec58793e7bfe3080b3d1e91531f04aa 38002 libocpf0_0.9+svn1970-1_amd64.deb
 66c15e0befcef5769568f4b97e8718e0a175563e 4538 libocpf-dev_0.9+svn1970-1_amd64.deb
 4e603a32c74b8f0229fbd78aac11c20784c39b39 182732 openchangeclient_0.9+svn1970-1_amd64.deb
 fc2296305744b9673169664ccea86bd3d796599c 435454 openchangeserver_0.9+svn1970-1_amd64.deb
 47bc43b45746acbe9e3446488ab0ba3fab8dfa38 5782 openchangeserver-dev_0.9+svn1970-1_amd64.deb
 9fc1e71fadd2381c7d67d8f144a779b051cb8818 826222 openchangeproxy_0.9+svn1970-1_amd64.deb
 97584d390512258b6babdbd7b0bab0041ecbb19e 11962 libmapiadmin0_0.9+svn1970-1_amd64.deb
 7a72f786baf8eddee88eb7f33ad49c4fff5c17f3 4802 libmapiadmin-dev_0.9+svn1970-1_amd64.deb
 da191e15abc79040066fd5f41490878997ccb679 42544 libmapiproxy0_0.9+svn1970-1_amd64.deb
 5f7195508ed3867ad44bd378ae68dcc71f62607b 5486 libmapiproxy-dev_0.9+svn1970-1_amd64.deb
 d3908a8d26cd55f2080dad5352d9b50c0559117d 40622 libmapistore0_0.9+svn1970-1_amd64.deb
 ae2f4b126d5ae506d5911d6642d50de6ed52380b 5644 libmapistore-dev_0.9+svn1970-1_amd64.deb
Checksums-Sha256: 
 acd788f6739b4dfdc12ce1f63eb1ef7b018819a5f115b3ec550d4a99457261a6 1912 openchange_0.9+svn1970-1.dsc
 3de4c84223bb4ed6aeab9188e00574da202e8bf63bed8b90bf6114b5407ae3aa 1510574 openchange_0.9+svn1970.orig.tar.gz
 58c95cf3e44ce320c7ab4e2a17a5c7daf049e44246113d931571bed347603189 24114 openchange_0.9+svn1970-1.debian.tar.gz
 04399bf80ada5c7d136ea7aca8b1a53c26112896e194c3a6c50012cd6ce2f389 450120 libmapi0_0.9+svn1970-1_amd64.deb
 7d2010b498fcedb01e74e6dbb78c9bc0dd0cd0f196faaae86453301de13f2817 163512 libmapi-dev_0.9+svn1970-1_amd64.deb
 9d5632f250f81e5a2307c5a8b1d70919c77e75a30aae535da217864ab2ab39ed 11732 libmapipp-dev_0.9+svn1970-1_amd64.deb
 42b8b60a42dced24e069328a6af89563eae478ab2f46c6af286239c5060f5034 28324 libmapipp0_0.9+svn1970-1_amd64.deb
 fdd3ee5091eabc05265dc7e0ebc2652c268788da49f00fdf26d72f6fce755861 38002 libocpf0_0.9+svn1970-1_amd64.deb
 46f5c613b8f6f52a0c8f8ed1b4e1e064e9ec025e9a7a7d0a5949196250c482e5 4538 libocpf-dev_0.9+svn1970-1_amd64.deb
 f7f434306b3b22099bfbbb7ffd0a689ec7c3752268ed1fb2d9c81f37c644e81c 182732 openchangeclient_0.9+svn1970-1_amd64.deb
 4a900c5c314ee95204b8bb801e4de3c73350b252eebe3c0061707dce9ed93b5c 435454 openchangeserver_0.9+svn1970-1_amd64.deb
 17f22361bc76c500bd3039d78c8b02855a9d2cfdf990b5b2c92eb2ff6f757e12 5782 openchangeserver-dev_0.9+svn1970-1_amd64.deb
 032768f3ac7d92f13e00004c2a7ac50f1ed12a3dd89942498f3d371d8d68b189 826222 openchangeproxy_0.9+svn1970-1_amd64.deb
 3c6297fe8e007a1aec3121891d3183312f84d3ea1f2f9a4d846a4d53abe29dd8 11962 libmapiadmin0_0.9+svn1970-1_amd64.deb
 a84a3eeed4b212e6c4ddc7a111bbe595a3a0e07cb7f2335774b35088b5e59a8d 4802 libmapiadmin-dev_0.9+svn1970-1_amd64.deb
 9a408cfccb6e24026e5161e63f62578ebce594e1e7c8f8c7b08f544524d7fde2 42544 libmapiproxy0_0.9+svn1970-1_amd64.deb
 0056cce1726df9ce3b970a54ce2616599d65fc5d546e1312bf718b28d79c0bef 5486 libmapiproxy-dev_0.9+svn1970-1_amd64.deb
 4c76091de265dbf6090c7e3f674f5ecd2af9fb2ebb9e333f61e61318fc9e3645 40622 libmapistore0_0.9+svn1970-1_amd64.deb
 8bfc2bc4600a0085e268cfab3b1dcf9c32afd10a26cd5be88f8d2c912cfae548 5644 libmapistore-dev_0.9+svn1970-1_amd64.deb
Files: 
 f5462ee318a469b51831bc6d91383219 1912 net optional openchange_0.9+svn1970-1.dsc
 452b82f2ece5e2eaa37cdc15890dcfda 1510574 net optional openchange_0.9+svn1970.orig.tar.gz
 2a814f26e9eb1659d0cf7670e84bd880 24114 net optional openchange_0.9+svn1970-1.debian.tar.gz
 b357fa3fab8fabb84d710bf68914a5d9 450120 net optional libmapi0_0.9+svn1970-1_amd64.deb
 0b61ad5b850f3292499824f136024446 163512 libdevel optional libmapi-dev_0.9+svn1970-1_amd64.deb
 cdda094ea725ef7f20ec158babe50769 11732 libdevel optional libmapipp-dev_0.9+svn1970-1_amd64.deb
 04be06d128c5278640f6bfdc7d8b4518 28324 libdevel optional libmapipp0_0.9+svn1970-1_amd64.deb
 16df94ce00065de1662612a52e695d79 38002 net optional libocpf0_0.9+svn1970-1_amd64.deb
 c734e44b8e9ca75bb5de388057d0b94b 4538 libdevel optional libocpf-dev_0.9+svn1970-1_amd64.deb
 3773f241fa662236a525a8759b6dc241 182732 net optional openchangeclient_0.9+svn1970-1_amd64.deb
 6ffbe6929ce4f99ca52f28ad6cd09a2f 435454 net optional openchangeserver_0.9+svn1970-1_amd64.deb
 aa0fc1aa9600cb88d20bcc622e241f6b 5782 net optional openchangeserver-dev_0.9+svn1970-1_amd64.deb
 d2ed5d4d91e4e7090211657dc0bba5c2 826222 net optional openchangeproxy_0.9+svn1970-1_amd64.deb
 6a7489570d4dd5ef31de1a8761e1539c 11962 libs optional libmapiadmin0_0.9+svn1970-1_amd64.deb
 f9b543dcbe6f1082cea3330664010fc4 4802 libdevel optional libmapiadmin-dev_0.9+svn1970-1_amd64.deb
 861ca5cd7fb6e66f5840cd25226ee8d1 42544 libs optional libmapiproxy0_0.9+svn1970-1_amd64.deb
 493a5c8dfbffb23732fd4cc9df468b87 5486 libdevel optional libmapiproxy-dev_0.9+svn1970-1_amd64.deb
 7f239d5bb4df0e3cf138dda0491a27c4 40622 libs optional libmapistore0_0.9+svn1970-1_amd64.deb
 345cc2585d24d72e1b18a2db015f82d4 5644 libdevel optional libmapistore-dev_0.9+svn1970-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwcDZ4ACgkQPa9Uoh7vUnYBAQCeKYbmz6ET5IpGkmDp2aLkzYDk
LkoAmgINLivH3QRzOjhASbZ6hRViE8n+
=Tpbb
-----END PGP SIGNATURE-----





Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:00 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 May 2011 07:34:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:56:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.